GDB (xrefs)

Functions | Variables
/tmp/gdb-8.1/gdb/amd64-nbsd-tdep.c File Reference
`#include "defs.h"`
`#include "arch-utils.h"`
`#include "frame.h"`
`#include "gdbcore.h"`
`#include "osabi.h"`
`#include "symtab.h"`
`#include "amd64-tdep.h"`
`#include "x86-xstate.h"`
`#include "nbsd-tdep.h"`
`#include "solib-svr4.h"`

Go to the source code of this file.

## Functions
static int | amd64nbsd_sigtramp_p (struct frame_info *this_frame)
static CORE_ADDR | amd64nbsd_mcontext_addr (struct frame_info *this_frame)
static void | amd64nbsd_init_abi (struct gdbarch_info info, struct gdbarch *gdbarch)
void | _initialize_amd64nbsd_tdep (void)

## Variables
int | amd64nbsd_r_reg_offset []

## Function Documentation

## ◆ _initialize_amd64nbsd_tdep()

void _initialize_amd64nbsd_tdep | ( | void |  | ) |

Definition at line 124 of file amd64-nbsd-tdep.c.

References AMD64_NUM_GREGS, amd64nbsd_init_abi(), amd64nbsd_r_reg_offset, gdb_assert, GDB_OSABI_NETBSD, and gdbarch_register_osabi().

## ◆ amd64nbsd_init_abi()

static void amd64nbsd_init_abi | ( | struct gdbarch_info | info,
|  | struct gdbarch * | gdbarch
| ) |  |
| static

Definition at line 98 of file amd64-nbsd-tdep.c.

References amd64_init_abi(), amd64_target_description(), amd64nbsd_mcontext_addr(), amd64nbsd_r_reg_offset, amd64nbsd_sigtramp_p(), gdbarch_tdep(), gdbarch_tdep::gregset_num_regs, gdbarch_tdep::gregset_reg_offset, gdbarch_tdep::jb_pc_offset, gdbarch_tdep::sc_num_regs, gdbarch_tdep::sc_reg_offset, set_solib_svr4_fetch_link_map_offsets(), gdbarch_tdep::sigcontext_addr, gdbarch_tdep::sigtramp_p, gdbarch_tdep::sizeof_gregset, svr4_lp64_fetch_link_map_offsets(), and X86_XSTATE_SSE_MASK.

Referenced by _initialize_amd64nbsd_tdep().

## ◆ amd64nbsd_mcontext_addr()

static CORE_ADDR amd64nbsd_mcontext_addr | ( | struct frame_info * | this_frame | ) |
| static

Definition at line 51 of file amd64-nbsd-tdep.c.

References AMD64_R15_REGNUM, and get_frame_register_unsigned().

Referenced by amd64nbsd_init_abi().

## ◆ amd64nbsd_sigtramp_p()

static int amd64nbsd_sigtramp_p | ( | struct frame_info * | this_frame | ) |
| static

Definition at line 38 of file amd64-nbsd-tdep.c.

References find_pc_partial_function(), get_frame_pc(), name, and nbsd_pc_in_sigtramp().

Referenced by amd64nbsd_init_abi().

## Variable Documentation

## ◆ amd64nbsd_r_reg_offset

int amd64nbsd_r_reg_offset[]

Initial value:
=
{
14 * 8,
13 * 8,
3 * 8,
2 * 8,
1 * 8,
0 * 8,
12 * 8,
24 * 8,
4 * 8,
5 * 8,
6 * 8,
7 * 8,
8 * 8,
9 * 8,
10 * 8,
11 * 8,
21 * 8,
23 * 8,
22 * 8,
25 * 8,
18 * 8,
17 * 8,
16 * 8,
15 * 8
}

Definition at line 69 of file amd64-nbsd-tdep.c.

Referenced by _initialize_amd64nbsd_nat(), _initialize_amd64nbsd_tdep(), and amd64nbsd_init_abi().